package com.steering.mes.SendRecive;

/**
 * 数据库表TMS_TRACE_M所对应的实体类（生成工具：代码生成器2.4）
 * @author DESKTOP-SA5N7PS   date 2020-04-28
 */
public class TmsTraceMEntity {
    /**
     * 运单号
     */
    private String waybillNo;
    /**
     * 跟踪号(2位流水)
     */
    private String traceNo;
    /**
     * 节点代码(线路节点)
     */
    private String nodeCode;
    /**
     * 节点
     */
    private String nodeDesc;
    /**
     * 节点类型代码(门岗、装卸点、其他)
     */
    private String nodeTypeCode;
    /**
     * 节点
     */
    private String nodeTypeDesc;
    /**
     * 参考单号(门岗放行编号等作业实绩编号)
     */
    private String refeNo;
    /**
     * 事件代码A01037
     */
    private String eventCode;
    /**
     * 事件
     */
    private String eventDesc;
    /**
     * 执行时间
     */
    private String eventTime;
    /**
     * 经度
     */
    private String endLongitudeVal;
    /**
     * 纬度
     */
    private String endLatitudeVal;
    /**
     * 图片路径
     */
    private String imagePath;
    /**
     * 事件描述
     */
    private String eventMemo;

    public TmsTraceMEntity(){
        waybillNo = "";
        traceNo = "";
        nodeCode = "";
        nodeDesc = "";
        nodeTypeCode = "";
        nodeTypeDesc = "";
        refeNo = "";
        eventCode = "";
        eventDesc = "";
        eventTime = "";
        endLongitudeVal = "";
        endLatitudeVal = "";
        imagePath = "";
        eventMemo = "";
    }

    /**
     * 运单号
     * @return value
     */
    public String getWaybillNo() {
        return waybillNo;
    }

    /**
     * 运单号
     * @param waybillNo value
     */
    public void setWaybillNo(String waybillNo) {
        this.waybillNo = waybillNo;
    }

    /**
     * 跟踪号(2位流水)
     * @return value
     */
    public String getTraceNo() {
        return traceNo;
    }

    /**
     * 跟踪号(2位流水)
     * @param traceNo value
     */
    public void setTraceNo(String traceNo) {
        this.traceNo = traceNo;
    }

    /**
     * 节点代码(线路节点)
     * @return value
     */
    public String getNodeCode() {
        return nodeCode;
    }

    /**
     * 节点代码(线路节点)
     * @param nodeCode value
     */
    public void setNodeCode(String nodeCode) {
        this.nodeCode = nodeCode;
    }

    /**
     * 节点
     * @return value
     */
    public String getNodeDesc() {
        return nodeDesc;
    }

    /**
     * 节点
     * @param nodeDesc value
     */
    public void setNodeDesc(String nodeDesc) {
        this.nodeDesc = nodeDesc;
    }

    /**
     * 节点类型代码(门岗、装卸点、其他)
     * @return value
     */
    public String getNodeTypeCode() {
        return nodeTypeCode;
    }

    /**
     * 节点类型代码(门岗、装卸点、其他)
     * @param nodeTypeCode value
     */
    public void setNodeTypeCode(String nodeTypeCode) {
        this.nodeTypeCode = nodeTypeCode;
    }

    /**
     * 节点
     * @return value
     */
    public String getNodeTypeDesc() {
        return nodeTypeDesc;
    }

    /**
     * 节点
     * @param nodeTypeDesc value
     */
    public void setNodeTypeDesc(String nodeTypeDesc) {
        this.nodeTypeDesc = nodeTypeDesc;
    }

    /**
     * 参考单号(门岗放行编号等作业实绩编号)
     * @return value
     */
    public String getRefeNo() {
        return refeNo;
    }

    /**
     * 参考单号(门岗放行编号等作业实绩编号)
     * @param refeNo value
     */
    public void setRefeNo(String refeNo) {
        this.refeNo = refeNo;
    }

    /**
     * 事件代码A01037
     * @return value
     */
    public String getEventCode() {
        return eventCode;
    }

    /**
     * 事件代码A01037
     * @param eventCode value
     */
    public void setEventCode(String eventCode) {
        this.eventCode = eventCode;
    }

    /**
     * 事件
     * @return value
     */
    public String getEventDesc() {
        return eventDesc;
    }

    /**
     * 事件
     * @param eventDesc value
     */
    public void setEventDesc(String eventDesc) {
        this.eventDesc = eventDesc;
    }

    /**
     * 执行时间
     * @return value
     */
    public String getEventTime() {
        return eventTime;
    }

    /**
     * 执行时间
     * @param eventTime value
     */
    public void setEventTime(String eventTime) {
        this.eventTime = eventTime;
    }

    /**
     * 经度
     * @return value
     */
    public String getEndLongitudeVal() {
        return endLongitudeVal;
    }

    /**
     * 经度
     * @param endLongitudeVal value
     */
    public void setEndLongitudeVal(String endLongitudeVal) {
        this.endLongitudeVal = endLongitudeVal;
    }

    /**
     * 纬度
     * @return value
     */
    public String getEndLatitudeVal() {
        return endLatitudeVal;
    }

    /**
     * 纬度
     * @param endLatitudeVal value
     */
    public void setEndLatitudeVal(String endLatitudeVal) {
        this.endLatitudeVal = endLatitudeVal;
    }

    /**
     * 图片路径
     * @return value
     */
    public String getImagePath() {
        return imagePath;
    }

    /**
     * 图片路径
     * @param imagePath value
     */
    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }

    /**
     * 事件描述
     * @return value
     */
    public String getEventMemo() {
        return eventMemo;
    }

    /**
     * 事件描述
     * @param eventMemo value
     */
    public void setEventMemo(String eventMemo) {
        this.eventMemo = eventMemo;
    }
}